Install NET framework 4.8 on windows server 2016







Are you trying to install .NET framework 4.8 on windows server 2016?

This guide is for you.


Windows 10 or Windows Server 2016 includes . NET Framework, which is an integral Windows component that supports building and running the next generation of applications and web services.

Installing the latest .Net framework on the server improves the performance and speed of the web apps.

Here at Ibmi Media, as part of our Server Management Services, we regularly help our Customers to install the .Net framework on the windows server.

In this context, we shall look into how to install Packages on windows server.


More information about .NET Framework?

.NET Framework by Microsoft is used to run and create applications and services which are based on the XML web.

The .NET software on Windows cannot run if the .NET Framework is not installed on the system.

The main advantages it provides include, Integration, Reliability, Performance, Productivity, and security.


Steps to install .NET Framework 4.8 on Windows 2016?

Recently, one of our customers approached us to install the latest .Net framework on his dedicated server. Here, you will learn how to install the .Net framework for them.

1. Initially, we RDP to the server.

2. Then open the web browser from the server and download the required .NET Framework from the below link.

https://dotnet.microsoft.com/download/dotnet-framework

3. Click on the .NET Framework 4.8 link and the Download .NET Framework 4.8 option.

4. Then right-click on the downloaded file. We click on the Properties and unblock it.

5. Then double click on the file and complete the installation.

6. After the .Net installation, the server will ask for a reboot. So we reboot the server.

7. Then we open the corresponding Plesk panel of the server.

8. Select the Tools and Settings from the Plesk.

9. Then under the  Applications & Databases, we choose ASP.NET Settings.Install .net framework 4.8 on windows server 2016

10. Then we check whether the new version updates under Framework Version.


How to change the ASP.NET version on an account?

We follow the below steps to change the .Net version of an account.

i. Firstly we log in to Plesk.

ii. Then from the left sidebar, we click Websites & Domains.

iii. After that select the account and click Hosting Settings.

iv. Then under the Web Scripting and Statistics, in the Microsoft ASP.NET support (Version) list box, we select the ASP.NET version.

v. Finally, we click the Ok button.

 

Few NET framework 4.8 Installation errors

We have also found that the installation may end up with errors. Here are some such instances and their solution by our Support Techs.


1. Installation failed with error code: (0x8000FFFF), "Catastrophic failure"

While installing .NET Framework v4.8, we may come across a "0x8000ffff catastrophic failure" error.

In order to solve this error we follow the below steps:

i. Temporarily turn off the security software.

ii. Then open the command prompt and run as administrator:

DISM /Online /Cleanup-Image /RestoreHealth

iii. Check the permission of the C:\Windows\ System32 \CatRoot2\ folder and give full control to the NETWORK SERVICE and SYSTEM and CryptSvc accounts.


2. This application could not be started

Applications for the .NET Framework typically require a specific version of the .NET Framework to install on the system. In some cases, we attempt to run an application without either an installed version or the expected version.

This often produces an error dialog box stating, 'This application could not be started'

This typically indicates one of the following conditions:

a. Corruption of a .NET Framework installation on the system.

b. The version of the .NET Framework needed by the application cannot be detected.


Our Support Experts resolve this by following the below procedure:

i. Initially, we download the .NET Framework Repair Tool (NetFxRepairTool.exe) from the URL: https://www.microsoft.com/en-us/download/details.aspx?id=30135

Once the download completes the tool runs automatically.

ii. However, if the .NET Framework Repair Tool recommends any additional action, we select Next.

iii. It displays a dialog box to indicate that changes are complete. We leave this dialog box open while we to try rerun the application.

This should succeed if the .NET Framework Repair Tool has identified and corrected a corrupted .NET Framework installation.

iv. If the application runs successfully, select the Finish button. Otherwise, select the Next button.

v. If we select the Next button, the .NET Framework Repair Tool displays a dialog box regarding the logs to be sent to Microsoft. Select the Finish button to send diagnostic information to Microsoft.

vi. If we still fail to run the application, we install the latest version of the .NET Framework supported by the version of Windows. Then attempt to launch the application.

In some cases, we may see a dialog box that asks to install the .NET Framework 3.5. Select Download and install this feature, then launch the application again.


[Need urgent assistance in installing .NET framework 4.8? We'll help you. ]


Conclusion

This article will guide you on how to #install .NET framework 4.8 on windows server 2016. 

Can't install .NET Framework 3.5 #Windows 10 0x800f0954?

NET Framework 3.5 or Any Optional #Feature. If the error 0x800f0954 occurs installing optional Windows features, it may be because the system is unable to access the Windows Update server. This is especially true in case of domain-joined computers which is configured to downloads updates from a WSUS server.

By using the Windows server 2016, we can install . NET Framework 3.5 which can be easily installed through Server Manager. 

i) Open the 'Server Manager' and navigate to the 'Manage' and then select 'Add Roles and Features'. 

ii) Click next to 'Features' section and select the option '.

To install Microsoft . #NET Framework 3.5. 1 on Windows Server 2012 R2:

1. Open Server Manager and select Features.

2. Select Add roles and features to launch the Add Roles and Features wizard.

3. In the Add Roles and Features wizard, click.

4. In the Confirm Installation Selections dialog box, click Install.

When you try to install the Microsoft . NET Framework 4.7 on a #computer that runs Windows 7 Service Pack 1 (SP1), Windows Server 2008 R2 SP1, or Windows Server 2012, the setup is blocked and cannot continue. 

This issue occurs when the computer does not have the update for D3DComplier (D3DCompiler_47. dll) installed.


For Linux Tutorials

We create Linux HowTos and Tutorials for Sys Admins. Visit us on LinuxAPT.com

Also for Tech related tips, Visit forum.outsourcepath.com



Related Posts


Focus on your business, not your servers.

Click Here to Learn More


Recent Post